/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */

#ifndef _DS_OTP_H_
#define _DS_OTP_H_

#define _DS_OTP_MODULE_BASE		0x18260000UL

#define rOTP_BR_STATUS			0x0000UL
#define rOTP_BR_CONFIG			0x0004UL
#define rOTP_BR_LOCK_BITS0		0x0008UL
#define rOTP_BR_LOCK_BITS1		0x000CUL
#define rOTP_BR_LOCK_BITS2		0x0010UL
#define rOTP_BR_LOCK_BITS3		0x0014UL
#define rOTP_BR_BOOTSTRAP0		0x001CUL
#define rOTP_BR_BOOTSTRAP1		0x0020UL
#define rOTP_STATUS			0x0800UL
#define rOTP_CMD			0x0804UL
#define rOTP_TESTMODE			0x0808UL
#define rOTP_TIMING_GRAN		0x0818UL
#define rOTP_CTRL_T_CSRST		0x0824UL
#define rOTP_CTRL_T_RW			0x0828UL
#define rOTP_CTRL_T_RSRD		0x082CUL
#define rOTP_CTRL_T_READEN		0x0830UL
#define rOTP_CTRL_T_ACC			0x0834UL
#define rOTP_CTRL_T_CAPTURE		0x0838UL
#define rOTP_CTRL_T_REW			0x083CUL
#define rOTP_CTRL_T_CEW			0x0840UL
#define rOTP_CTRL_T_RS			0x0844UL
#define rOTP_CTRL_T_AS			0x0848UL
#define rOTP_CTRL_T_DLES		0x084CUL
#define rOTP_CTRL_T_WWL			0x0850UL
#define rOTP_CTRL_T_DLEH		0x0854UL
#define rOTP_CTRL_T_WWH			0x0858UL
#define rOTP_CTRL_T_PES			0x085CUL
#define rOTP_CTRL_T_CPS			0x0860UL
#define rOTP_CTRL_T_PW			0x0864UL
#define rOTP_CTRL_T_CPH			0x0868UL
#define rOTP_CTRL_T_PEH			0x086CUL
#define rOTP_CTRL_T_PGMAS		0x0870UL
#define rOTP_CTRL_T_BLANK_CHECK_CSRST	0x0874UL
#define rOTP_CTRL_T_BLANK_CHECK_RW	0x0878UL
#define rOTP_CTRL_T_BLANK_CHECK_RSCLE	0x087CUL
#define rOTP_CTRL_T_BLANK_CHECK_CLES	0x0880UL
#define rOTP_CTRL_T_BLANK_CHECK_WWL	0x0884UL
#define rOTP_CTRL_T_BLANK_CHECK_CLEH	0x0888UL
#define rOTP_CTRL_T_BLANK_CHECK_CPES	0x088CUL
#define rOTP_CTRL_T_BLANK_CHECK_CPRD	0x0890UL
#define rOTP_CTRL_T_BLANK_CHECK_BCREADN	0x0894UL
#define rOTP_CTRL_T_BLANK_CHECK_BCACC	0x0898UL
#define rOTP_CTRL_T_BLANK_CHECK_RDCP	0x089CUL
#define rOTP_CTRL_T_BLANK_CHECK_STANDBY	0x08A0UL
#define rOTP_CTRL_T_TESTDEC_CSRST	0x08E0UL
#define rOTP_CTRL_T_TESTDEC_RW		0x08E4UL
#define rOTP_CTRL_T_TESTDEC_RSCLE	0x08E8UL
#define rOTP_CTRL_T_TESTDEC_DLES	0x08ECUL
#define rOTP_CTRL_T_TESTDEC_WWL		0x08F0UL
#define rOTP_CTRL_T_TESTDEC_DLEH	0x08F4UL
#define rOTP_CTRL_T_TESTDEC_CLES	0x08F8UL
#define rOTP_CTRL_T_TESTDEC_WWL2	0x08FCUL
#define rOTP_CTRL_T_TESTDEC_CLEH	0x0900UL
#define rOTP_CTRL_T_TESTDEC_RDES	0x0904UL
#define rOTP_CTRL_T_TESTDEC_READENT	0x0908UL
#define rOTP_CTRL_T_TESTDEC_ACCT	0x090CUL
#define rOTP_CTRL_T_TESTDEC_REDUND	0x0910UL

#endif
